class Bluetoothconnector < Formula
  desc "Connect and disconnect Bluetooth devices"
  homepage "https://github.com/lapfelix/BluetoothConnector"
  url "https://github.com/lapfelix/BluetoothConnector/archive/refs/tags/2.1.0.tar.gz"
  sha256 "cbb192e5f94da27408bd8306a25e11bbffd643d916f6a03d532f83a229281f77"
  license "MIT"
  head "https://github.com/lapfelix/BluetoothConnector.git", branch: "master"

  depends_on xcode: ["15.0", :build]
  depends_on :macos

  def install
    system "swift", "build", "--disable-sandbox", "-c", "release", "--static-swift-stdlib"
    bin.install ".build/release/BluetoothConnector"
  end

  test do
    if MacOS.version >= :sonoma && ENV["HOMEBREW_GITHUB_ACTIONS"]
      # We cannot test any useful command since Sonoma as OS privacy restrictions
      # will wait until Bluetooth permission is either accepted or rejected.
      # Since even `--help` needs permissions, we just check process is still running.
      pid = fork { exec bin/"BluetoothConnector" }
      begin
        sleep 5
        Process.getpgid(pid)
      ensure
        Process.kill("TERM", pid)
      end
    else
      shell_output("#{bin}/BluetoothConnector", 64)
      output_fail = shell_output("#{bin}/BluetoothConnector --connect 00-00-00-00-00-00", 252)
      assert_equal "Not paired to device\n", output_fail
    end
  end
end
